> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Get a collection

GET https://api.postman.com/apis/{apiId}/collections/{collectionId}

Gets a collection attached to an API. You can use the `versionId` query parameter to get a collection published in a version.

**Note:**

- You cannot use this endpoint to get a Git-linked API collection. Collections in a Git-linked API are stored in the linked Git repository, not in the Postman cloud. This endpoint only has access to Postman servers.
- You can get a collection published in an API version with the `versionId` query parameter.
- The `versionId` query parameter is a required parameter for API viewers.


Reference: https://learning.postman.com/api-docs/api-reference/ap-is/get-api-collection

## Authentication

- `x-api-key` header (required)

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `apiId` (string, required) — The API's ID.
- `collectionId` (string, required) — The collection's unique ID.

### Query parameters

- `versionId` (string, optional) — The API's version ID. This is a required parameter for API viewers.

### Headers

- `Accept` (enum, required) — The `application/vnd.api.v10+json` request header required to use the endpoint.
  - Allowed values: `application/vnd.api.v10+json`

## Response

### 200

Successful Response

- `item` (list of map from string to any, optional) — A list of the collection's contents.
- `info` (object, optional) — Information about the collection.
  - `name` (string, optional) — The collection's name.
  - `schema` (string, optional) — A URL to the collection's schema.
  - `_postman_id` (string, optional) — The collection's Postman ID.
  - `description` (string, optional) — The collection's description.
- `auth` (map from string to any, optional) — The collection's auth information. For a complete list of values, refer to the **Auth** entry in the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
- `variable` (list of map from string to any, optional) — A list of the collection's variables.

## Examples

**Response**

```json
{
  "item": [
    {
      "id": "d3779255-5293-4e58-9b65-8954936e1dca",
      "name": "Read a spacecraft",
      "protocolProfileBehavior": {
        "disableBodyPruning": true
      },
      "request": {
        "header": [
          {
            "key": "Accept",
            "value": "application/json"
          }
        ],
        "method": "GET",
        "url": {
          "host": [
            "https://api.postman.com"
          ],
          "path": [
            "spacecrafts",
            ":spacecraftId"
          ],
          "raw": "https://api.postman.com/spacecrafts/:spacecraftId",
          "variable": [
            {
              "description": "(Required) The unique identifier of the spacecraft",
              "key": "spacecraftId",
              "value": "<string>"
            }
          ]
        }
      },
      "response": [
        {
          "_postman_previewlanguage": "json",
          "_postman_previewtype": "html",
          "body": "{\n  \"id\": \"<string>\",\n  \"name\": \"commodo\",\n  \"type\": \"capsule\",\n  \"description\": \"pariatur dolo\"\n}",
          "code": 200,
          "cookie": [],
          "header": [
            {
              "key": "Content-Type",
              "value": "application/json"
            }
          ],
          "id": "54467f6e-71d7-43d5-acc0-48f948e38528",
          "name": "The spacecraft corresponding to the provided `spacecraftId`",
          "originalRequest": {
            "header": [
              {
                "description": "Added as a part of security scheme: apikey",
                "key": "X-Api-Key",
                "value": "<API Key>"
              }
            ],
            "method": "GET",
            "url": {
              "host": [
                "https://api.postman.com"
              ],
              "path": [
                "spacecrafts",
                ":spacecraftId"
              ],
              "raw": "https://api.postman.com/spacecrafts/:spacecraftId",
              "variable": [
                {
                  "description": "(Required) The unique identifier of the spacecraft",
                  "key": "spacecraftId",
                  "value": "<string>"
                }
              ]
            }
          },
          "responseTime": null,
          "status": "OK"
        },
        {
          "_postman_previewlanguage": "json",
          "_postman_previewtype": "html",
          "body": "{\n  \"message\": \"dolore Excepteur\"\n}",
          "code": 404,
          "cookie": [],
          "header": [
            {
              "key": "Content-Type",
              "value": "application/json"
            }
          ],
          "id": "1231609a-7a3d-444d-aa0c-579703e618f4",
          "name": "No spacecraft found for the provided `spacecraftId`",
          "originalRequest": {
            "header": [
              {
                "description": "Added as a part of security scheme: apikey",
                "key": "X-Api-Key",
                "value": "<API Key>"
              }
            ],
            "method": "GET",
            "url": {
              "host": [
                "https://api.postman.com"
              ],
              "path": [
                "spacecrafts",
                ":spacecraftId"
              ],
              "raw": "https://api.postman.com/spacecrafts/:spacecraftId",
              "variable": [
                {
                  "description": "(Required) The unique identifier of the spacecraft",
                  "key": "spacecraftId",
                  "value": "<string>"
                }
              ]
            }
          },
          "responseTime": null,
          "status": "Not Found"
        },
        {
          "_postman_previewlanguage": "json",
          "_postman_previewtype": "html",
          "body": "{\n  \"message\": \"dolore Excepteur\"\n}",
          "code": 500,
          "cookie": [],
          "header": [
            {
              "key": "Content-Type",
              "value": "application/json"
            }
          ],
          "id": "db674465-8cec-4208-9724-42278ca9b83c",
          "name": "Unexpected error",
          "originalRequest": {
            "header": [
              {
                "description": "Added as a part of security scheme: apikey",
                "key": "X-Api-Key",
                "value": "<API Key>"
              }
            ],
            "method": "GET",
            "url": {
              "host": [
                "https://api.postman.com"
              ],
              "path": [
                "spacecrafts",
                ":spacecraftId"
              ],
              "raw": "https://api.postman.com/spacecrafts/:spacecraftId",
              "variable": [
                {
                  "description": "(Required) The unique identifier of the spacecraft",
                  "key": "spacecraftId",
                  "value": "<string>"
                }
              ]
            }
          },
          "responseTime": null,
          "status": "Internal Server Error"
        }
      ]
    }
  ],
  "info": {
    "name": "Generated",
    "schema": "https://schema.postman.com/json/collection/v2.1.0/collection.json",
    "_postman_id": "e726de58-f1b3-4edd-a8a7-2579dc799d39",
    "description": "Buy or rent spacecrafts"
  },
  "auth": {
    "apikey": [
      {
        "key": "key",
        "value": "X-Api-Key"
      },
      {
        "key": "value",
        "value": "{{apiKey}}"
      },
      {
        "key": "in",
        "value": "header"
      }
    ],
    "type": "apikey"
  },
  "variable": [
    {
      "id": "526a20ba-acfb-4549-a841-8edf2d24b929",
      "key": "baseUrl",
      "type": "string",
      "value": "/"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002"

headers = {
    "Accept": "application/vnd.api.v10+json",
    "x-api-key": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002';
const options = {
  method: 'GET',
  headers: {Accept: 'application/vnd.api.v10+json', 'x-api-key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/vnd.api.v10+json")
	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/vnd.api.v10+json'
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002")
  .header("Accept", "application/vnd.api.v10+json")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002', [
  'headers' => [
    'Accept' => 'application/vnd.api.v10+json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/vnd.api.v10+json");
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "Accept": "application/vnd.api.v10+json",
  "x-api-key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/apis/90ca9f5a-c4c4-11ed-afa1-0242ac120002/collections/12345678-61867bcc-c4c1-11ed-afa1-0242ac120002")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```